Index: channel.c
===================================================================
--- channel.c   (revision 39726)
+++ channel.c   (working copy)
@@ -3755,6 +3757,25 @@
                        o0nativeformats = c0->nativeformats;
                        o1nativeformats = c1->nativeformats;
                }
+               /* If it is the start of the call, prod the channel to get things moving  */
+               if (ast_tvdiff_ms(ast_tvnow(), config->start_time) < 100) {
+                       /* send some sound file like 'beep' or silence
+                       ast_streamfile(c0, "beep", c0->language);
+                       or send few samples - exactly 80 samples are OK why? */
+                       short buf[80];
+                       struct ast_frame frame = {
+                               .frametype = AST_FRAME_VOICE,
+                               .subclass = c0->rawwriteformat,
+                               .data = buf,
+                               .samples = 80,
+                               .datalen = sizeof(buf),
+                       };
+                       memset(buf, 0, sizeof(buf));
+                       ast_queue_frame(c0, &frame);
+                       /* this is the same as
+                       silence_generator_generate(c0, NULL, NULL, 80);
+                       but with the channel's format or it doesn't work */
+               }
                res = ast_generic_bridge(c0, c1, config, fo, rc, nexteventts);
                if (res != AST_BRIDGE_RETRY)
                        break;
